Antom, leading provider of tailored payment solutions

inquireBeneficiary

POST /v1/aba/accounts/inquireBeneficiary

Use this interface to inquire about all the beneficiaries connected to Antom business account after creating a beneficiary by binding the information to Antom.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

beneficiaryToken String  

A Base64-encoded ciphertext encapsulating the beneficiary's bank account information.

More information:

  • Maximum length: 64 characters

beneficiaryNick String  

The nickname of the beneficiary. 

More information:

  • Maximum length: 70 characters

referenceBeneficiaryId String  

The unique ID assigned by the merchant to identify a beneficiary. 

More information:

  • Maximum length: 64 characters

bankAccountNo String  

The domestic bank account number or Alipay+ payment method account number of the Beneficiary's account.

More information:

  • Maximum length: 64 characters

bankAccountIBAN String  

International Bank Account Number (IBAN) of the beneficiary's account.

More information:

  • Maximum length: 34 characters

currencyList Array<Currency>  

A list containing 3-character ISO-4217 currency codes representing the currency that the merchant queries.

Currently, the following currencies are supported:

  • SGD
  • AUD
  • CAD
  • EUR
  • GBP
  • HKD
  • JPY
  • NZD
  • USD
  • CNY

assetType String  

The type of assets. Valid values include:

  • ​BANK_ACCOUNT​: Indicates the bank account.
  • ​ALIPAY_ACCOUNT​: Indicates the alipay account.
  • ANTOM_BIZ_ACCOUNT: Returns only the Antom business account.

Note: if this parameter is null, all values will be returned.

More information:

  • Maximum length: 64 characters

accountName String  

The account name used to filter results based on fuzzy matching.

More information:

  • Maximum length: 128 characters

relationFilter Array<String>  

The type of beneficiary used to filtering results through fuzzy matching. Valid values include:

  • SAME_NAME: Indicates a beneficiary with the same name.
  • THIRD_PARTY: Indicates a third-party beneficiary.

pageSize Integer  REQUIRED

Number of items per results page.

More information:

  • Value range: [0, 50]

pageNumber  Integer  REQUIRED

Page index to retrieve results for.

More information:

  • Value range: [0, 50]

cnSettlementMode String  CONDITIONAL

Currency for withdrawal to CNY. Valid values include:

  • CNY_ONSHORE: beneficiary in mainland China.
  • CNH_OFFSHORE: beneficiary overseas (CNH).
  • BOTH_CNY_CNH: both CNY recipients.

Note: if this parameter is null, all values will be returned.

Response parameters

result Object  REQUIRED

Indicates whether this API call is successful.

Show child parameters

beneficiaries Array<Beneficiary>  

Details about the beneficiaries.

Show child parameters

totalCount Integer  

The total item number of beneficiaries in this query result.

More information:

  • Value range: [0, 50]

totalPageNumber Integer  

The total page number of beneficiaries in this query result.

More information:

  • Value range: [0, 50]

currentPageNumber Integer  

The current page index number.

More information:

  • Value range: [0, 50]
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSsuccess.

The API is called successfully, and no further action is needed.

PARAM_ILLEGALFIllegal parameters exist.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid. For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Don't retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support Team to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

REQUEST_TRAFFIC_EXCEED_LIMITFThe request traffic exceeds the limit.

Call the interface again to resolve the issue. If the issue persists, contact our Technical Support Team.

OAUTH_FAILFoAuth authentication failed.

Contact our Technical Support Team for detailed reasons.

INVALID_APIFThe called API is invalid or not active.

Check whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Make sure the request is properly signed with a valid signature.

CURRENCY_NOT_SUPPORTFThe currency is not supported.

Make sure the currency input is correct and try again.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Ensure the HTTP method is ​POST​.

UN_SUPPORT_BUSINESSFUnsupported business.

Invalid parameters are used e.g. currency is incorrect. Retry with the correct information.

SYSTEM_ERRORFSystem error.

Do not retry, and contact our Technical Support Team for more details.

USER_NOT_EXISTFThe order does not exist.

Retry with the correct user.